← All operations
GET/api/v1/agents/{entityPublicId}/runtime

Runtime_GetRuntimeConfiguration

Authentication
required-user
Cache policy
private
Success and errors
200, 400, 401, 403, 404, 409, 422, 500
Stability
v1 stable contract

OpenAPI operation

{
  "operationId": "Runtime_GetRuntimeConfiguration",
  "summary": "GET /api/v1/agents/{entityPublicId}/runtime",
  "tags": [
    "Runtime"
  ],
  "parameters": [
    {
      "name": "entityPublicId",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
      }
    }
  ],
  "security": [
    {
      "cookieAuth": []
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "additionalProperties": false,
            "required": [
              "data",
              "meta"
            ],
            "properties": {
              "data": {
                "type": "object",
                "properties": {
                  "entityPublicId": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "state": {
                    "type": "string"
                  },
                  "version": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "promptRevision": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "systemPrompt": {
                    "type": "string"
                  },
                  "provider": {
                    "type": "string"
                  },
                  "modelCatalogEntryId": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "providerModelId": {
                    "type": "string"
                  },
                  "modelDisplayName": {
                    "type": "string"
                  },
                  "credentialId": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "compatibleBaseUrl": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "fallbackMode": {
                    "type": "string"
                  },
                  "maxRetries": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "temperaturePpm": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -9007199254740991,
                        "maximum": 9007199254740991
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "reasoningEffort": {
                    "type": "string"
                  },
                  "maxInputTokens": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "maxOutputTokens": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "maxConcurrentRuns": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "maxOutputBytes": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "maxArtifactBytes": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "dlpMode": {
                    "type": "string",
                    "enum": [
                      "BLOCK",
                      "REDACT"
                    ]
                  },
                  "providerServerTools": {
                    "maxItems": 16,
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "minLength": 3,
                          "maxLength": 120,
                          "pattern": "^[a-z0-9_-]+:[a-z0-9_-]+$"
                        },
                        "options": {
                          "default": {},
                          "type": "object",
                          "propertyNames": {
                            "type": "string",
                            "maxLength": 100
                          },
                          "additionalProperties": {
                            "anyOf": [
                              {
                                "type": "string",
                                "maxLength": 2000
                              },
                              {
                                "type": "number"
                              },
                              {
                                "type": "boolean"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        }
                      },
                      "required": [
                        "type",
                        "options"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "providerToolMaxCalls": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 20
                  },
                  "providerToolRunCostCeilingMicrounits": {
                    "anyOf": [
                      {
                        "type": "string",
                        "pattern": "^(?:0|[1-9][0-9]{0,77})$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "providerToolWorkspaceDailyCostCeilingMicrounits": {
                    "anyOf": [
                      {
                        "type": "string",
                        "pattern": "^(?:0|[1-9][0-9]{0,77})$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "memoryEnabled": {
                    "type": "boolean"
                  },
                  "memoryRetentionDays": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -9007199254740991,
                        "maximum": 9007199254740991
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "memoryAllowedScopes": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "enum": [
                        "USER",
                        "WORKSPACE",
                        "AGENT",
                        "CONVERSATION"
                      ]
                    }
                  },
                  "memorySensitiveDataMode": {
                    "type": "string",
                    "enum": [
                      "REJECT",
                      "REDACT",
                      "ALLOW_ENCRYPTED"
                    ]
                  },
                  "updatedAt": {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                  }
                },
                "required": [
                  "entityPublicId",
                  "state",
                  "version",
                  "promptRevision",
                  "systemPrompt",
                  "provider",
                  "modelCatalogEntryId",
                  "providerModelId",
                  "modelDisplayName",
                  "credentialId",
                  "compatibleBaseUrl",
                  "fallbackMode",
                  "maxRetries",
                  "temperaturePpm",
                  "reasoningEffort",
                  "maxInputTokens",
                  "maxOutputTokens",
                  "maxConcurrentRuns",
                  "maxOutputBytes",
                  "maxArtifactBytes",
                  "dlpMode",
                  "providerServerTools",
                  "providerToolMaxCalls",
                  "providerToolRunCostCeilingMicrounits",
                  "providerToolWorkspaceDailyCostCeilingMicrounits",
                  "memoryEnabled",
                  "memoryRetentionDays",
                  "memoryAllowedScopes",
                  "memorySensitiveDataMode",
                  "updatedAt"
                ],
                "additionalProperties": false
              },
              "meta": {
                "type": "object",
                "additionalProperties": true,
                "required": [
                  "requestId",
                  "schemaVersion",
                  "buildVersion",
                  "generatedAt",
                  "freshness"
                ],
                "properties": {
                  "requestId": {
                    "type": "string",
                    "format": "uuid"
                  },
                  "schemaVersion": {
                    "type": "string"
                  },
                  "buildVersion": {
                    "type": "string"
                  },
                  "generatedAt": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "freshness": {
                    "type": "object",
                    "additionalProperties": false,
                    "required": [
                      "projectedAt",
                      "sourceWatermark"
                    ],
                    "properties": {
                      "projectedAt": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "format": "date-time"
                      },
                      "sourceWatermark": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "400": {
      "description": "invalid request",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "401": {
      "description": "unauthenticated",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "403": {
      "description": "forbidden",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "404": {
      "description": "not found",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "409": {
      "description": "conflict",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "422": {
      "description": "configuration missing",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "500": {
      "description": "internal error",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    }
  },
  "x-auth-mode": "required-user",
  "x-cache-policy": "private",
  "x-required-scopes": [],
  "x-rate-cost": 1,
  "x-stability": "STABLE"
}